using System;
//using System.Collections.Generic;
//using System.Text;

namespace Proyecto
{
    /*
     * Clase ExcepcionCabeceraNoEncontrada: se lanza cuando no se encontr una cabecera
     * del usuario al intentar descifrar un archivo. Indica que el descifrado no es posible.
     * Autor: Juan lvaro Muoz Naranjo
     * Fecha: Junio de 2007
     */
    class ExcepcionCabeceraNoEncontrada: Exception
    {
        private string message = "No se encontr una cabecera del usuario. Acceso prohibido.";
        
        public ExcepcionCabeceraNoEncontrada()
        {
        }

        public ExcepcionCabeceraNoEncontrada(string message)
            : base(message)
        {
        }

        public ExcepcionCabeceraNoEncontrada(string message, Exception inner)
            : base(message, inner)
        {
        }

        public override string Message
        {
            get
            {
                return message;
            }
        }
    }
}
