using System;
//using System.Collections.Generic;

namespace Proyecto
{
    /*
     * Clase ExcepcionFirmaNoVerificada: se lanza cuando no el usuario que firm el archivo
     * cifrado no se encuentra en nuestra lista de usuarios. Por tanto, es imposible verificar la firma.
     * Autor: Juan lvaro Muoz Naranjo
     * Fecha: Junio de 2007
     */
    class ExcepcionFirmaNoVerificada : Exception
    {
        private string message = "No existe un perfil de usuario para el firmante. No se pudo verificar la firma.";
        private string firmante;

        public ExcepcionFirmaNoVerificada()
        {
        }

        //public ExcepcionFirmaNoVerificada(string message)
        //    : base(message)
        //{
        //}

        //public ExcepcionFirmaNoVerificada(string message, Exception inner)
        //    : base(message, inner)
        //{
        //}

        public ExcepcionFirmaNoVerificada(string firmante)
        {
            this.firmante = firmante;
        }

        public override string Message
        {
            get
            {
                return message;
            }
        }

        public string Firmante
        {
            set
            {
                firmante = value;
            }
            get
            {
                return firmante;
            }
        }
    }
}
